varFilter-methods {xps} | R Documentation

## Variance Filter

### Description

This method initializes the Variance Filter.
The Variance Filter flags all rows with: `flag = (var/mean >= cutoff)`

Usage

`varFilter(object)`
`varFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter`.
`value` | numeric vector `c(cutoff, trim, epsilon)`.

### Details

The method `varFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `trim`: | the trim value for trimmed mean (default is `trim=0`).
| `epsilon`: | value to replace mean (default is `epsilon=0.01`):
|  | `epsilon > 0`: replace mean=0 with epsilon.
|  | `epsilon = 0`: always set mean=1.

Note, that for `epsilon = 0` the filter flags all rows with: variance >= cutoff

### Value

An initialized `PreFilter` object.

### Author(s)

Christian Stratowa

### Examples

    prefltr <- PreFilter()
    varFilter(prefltr) <- c(0.6,0.02,0.01)
    str(prefltr)

[Package xps version 1.2.10 Index]